#!/bin/bash
set -e
if [ ! -d test_output ]; then
    mkdir test_output
fi

perl combine_output_files.pl -i ./test_input/more_output_2.txt  -c -h -v -o ./test_output/more_output_combined.txt
perl combine_output_files.pl -i ./test_input/out_1 -v -o ./test_output/out_combined
perl combine_output_files.pl -i ./test_input/some_output.txt_part_ac -v -o ./test_output/some_output.txt_combined

#compare new output to sample output
new_output=test_output
old_output=sample_output
new_files=($( find $new_output -type f -print0 | perl -ne 'my @files = split(/\0/, $_); foreach(@files) { if (!($_ =~ m/\.svn/)) {print "$_\n";}}'))
for (( i=0; i<${#new_files[@]}; i++ ));
do
    old_file=${old_output}`echo "${new_files[$i]}" | perl -nl -e 's/^[^\/]+//;' -e 'print $_'`
    echo "Comparing ${old_file} to ${new_files[$i]}"
    set +e
    diff -u $old_file ${new_files[$i]}
    if [ $? -eq 0 ]; then
	echo "No differences found"
    fi
    set -e
done